|:mag:| Search
===================

Search methods for Trees.

.. list-table:: Tree Search Methods
   :widths: 30 40 40
   :header-rows: 1

   * - Search by
     - One node
     - One or more nodes
   * - General method
     - `find`, `find_child`
     - `findall`, `find_children`
   * - Node name
     - `find_name`, `find_child_by_name`
     - `find_names`
   * - Node path
     - `find_path`, `find_full_path`, `find_relative_path`
     - `find_paths`, `find_relative_path`
   * - Node attributes
     - `find_attr`
     - `find_attrs`

.. automodule:: bigtree.tree.search
   :members:
   :show-inheritance:
